> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Runs

> Endpoint to retrieve workflow runs for a specific workflow if workflow_id is provided.
Else, all workflow runs for the team are retrieved.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json get /workflows/v1/workflow-runs
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/workflow-runs:
    get:
      tags:
        - Workflow Runs
      summary: Get Workflow Runs
      description: >-
        Endpoint to retrieve workflow runs for a specific workflow if
        workflow_id is provided.

        Else, all workflow runs for the team are retrieved.
      operationId: workflow_service_get_workflow_runs_v1_workflow_runs_get
      parameters:
        - name: filters
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/WorkflowRunFilter'
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Number of items per page
            default: 300
            title: Size
          description: Number of items per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search keywords
            title: Search
          description: Search keywords
        - name: start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by start time (ISO 8601 format)
            title: Start
          description: Filter by start time (ISO 8601 format)
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by end time (ISO 8601 format)
            title: End
          description: Filter by end time (ISO 8601 format)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowRunsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    WorkflowRunFilter:
      properties:
        logical_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Logical Id
          description: Filter by logical ID
        workflow_id:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: Filter by workflow ID
        status:
          anyOf:
            - $ref: '#/components/schemas/WorkflowStatus'
            - type: 'null'
          description: Filter by workflow run status
        version_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version Number
          description: Filter by version number
      type: object
      title: WorkflowRunFilter
    WorkflowRunsListResponse:
      properties:
        workflow_runs:
          items:
            $ref: '#/components/schemas/WorkflowRunsProjectionModel'
          type: array
          title: Workflow Runs
          description: List of workflow runs
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of workflow runs available without pagination.
      type: object
      title: WorkflowRunsListResponse
      description: |-
        Response model for a list of workflow runs.
        Contains a list of WorkflowRunsProjectionModel objects.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    WorkflowStatus:
      type: string
      enum:
        - not_started
        - started
        - running
        - failed
        - completed
        - paused
        - waiting_for_user_input
        - cancelled
        - aborted_looping_risk
      title: WorkflowStatus
    WorkflowRunsProjectionModel:
      properties:
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the team that owns this edge
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the user who created this edge
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the user who last updated this edge
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        _id:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
        workflow_run:
          anyOf:
            - $ref: '#/components/schemas/WorkflowRunProjectModel'
            - type: 'null'
        schedule_id:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
      type: object
      required:
        - _id
        - workflow_run
      title: WorkflowRunsProjectionModel
      description: Projection model for workflow runs.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WorkflowRunProjectModel:
      properties:
        logical_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Logical Id
        workflow_id:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/WorkflowStatus'
            - type: 'null'
        run_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Run By
        version_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version Number
          default: 0
        version_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Name
          default: Initial Version
        voice_conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Conversation Id
      type: object
      required:
        - logical_id
        - workflow_id
        - status
      title: WorkflowRunProjectModel
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````